import type { Config as CoreConfig, Platforms } from '@ionic/core/components';
import React from 'react';
import type { IonicReactProps } from '../IonicReactProps';
export type IonicReactExternalProps<PropType, ElementType> = PropType & 
/**
 * TODO: FW-5753
 *
 * The `placeholder` property was removed from `HTMLAttributes` in @types/react@18.2.43
 * https://github.com/DefinitelyTyped/DefinitelyTyped/commit/b954269038de46b4b2f1756a9f2f020cbc66a326
 *
 * This is a temporary workaround until @ionic/react is updated to >=18.2.43.
 */
Omit<React.HTMLAttributes<ElementType>, 'style' | 'placeholder'> & IonicReactProps;
export declare const createForwardRef: <PropType, ElementType>(ReactComponent: any, displayName: string) => React.ForwardRefExoticComponent<React.PropsWithoutRef<PropType & Omit<React.HTMLAttributes<ElementType>, "style" | "placeholder"> & IonicReactProps> & React.RefAttributes<ElementType>>;
export declare const isPlatform: (platform: Platforms) => boolean;
export declare const getPlatforms: () => ("ipad" | "iphone" | "ios" | "android" | "phablet" | "tablet" | "cordova" | "capacitor" | "electron" | "pwa" | "mobile" | "mobileweb" | "desktop" | "hybrid")[];
export declare const getConfig: () => CoreConfig | null;
